︠5d1f24e9-0e51-4921-a73b-3c53749f160c︠
# parametrize the Hadamard square root of rank five


#[
# [  1,  0,  0,  0,  0,  1,  1,  1],
# [ y1,  0,  0,  0,  1,  1,  0,  0],
# [  0,  1,  0,  0,  0,  1,y12,y13],
# [  0, y4,  0,  0,y11,  1,  0,  0],
# [ y2,  0,  1,  0,  0,  0,  1,  0],
# [  0, y5, y7,  0,  0,  0,  1,  0],
# [ y3,  0,  0,  1,  0,  0,  0,  1],
# [  0, y6,  0, y9,  0,  0,  0,  1],
# [  0,  0, y8,y10,  1,  0,  0,  0]]

R.<y1,y2,y3,y4,y5,y6,y7,y8,y9,y10,y11,y12,y13>=QQ[];

M = matrix(R,[
 [  1,  0,  0,  0,  0,  1,  1,  1],
 [ y1,  0,  0,  0,  1,  1,  0,  0],
 [  0,  1,  0,  0,  0,  1,y12,y13],
 [  0, y4,  0,  0,y11,  1,  0,  0],
 [ y2,  0,  1,  0,  0,  0,  1,  0],
 [  0, y5, y7,  0,  0,  0,  1,  0],
 [ y3,  0,  0,  1,  0,  0,  0,  1],
 [  0, y6,  0, y9,  0,  0,  0,  1],
 [  0,  0, y8,y10,  1,  0,  0,  0]]); M

J=ideal(M.minors(6));
JJ=ideal(y1*y2*y3*y4*y5*y6*y7*y8*y9*y10*y11*y12*y13)
KK=J.saturation(JJ)
KK
︡6d2d543e-a864-4af5-b8c7-733bdc5ee5af︡{"stdout":"[  1   0   0   0   0   1   1   1]\n[ y1   0   0   0   1   1   0   0]\n[  0   1   0   0   0   1 y12 y13]\n[  0  y4   0   0 y11   1   0   0]\n[ y2   0   1   0   0   0   1   0]\n[  0  y5  y7   0   0   0   1   0]\n[ y3   0   0   1   0   0   0   1]\n[  0  y6   0  y9   0   0   0   1]\n[  0   0  y8 y10   1   0   0   0]\n"}︡{"stdout":"(Ideal (y13 - 1, y12 - 1, y11 - 1, y10 - 1, y9 - 1, y8 - 1, y7 - 1, y4 + y5 + y6 - 1, y3 - y6, y2 - y5, y1 + y5 + y6 - 1) of Multivariate Polynomial Ring in y1, y2, y3, y4, y5, y6, y7, y8, y9, y10, y11, y12, y13 over Rational Field, 1)\n"}︡
︠3cfe5a98-9390-47ec-9b40-2ba2684e1abb︠
# y13 - 1, y12 - 1, y11 - 1, y10 - 1, y9 - 1, y8 - 1, y7 - 1, y3 - y6, y2 - y5



R.<y1,y2,y3>=QQ[];

M = matrix(R,[
 [  1,  0,  0,  0,  0,  1,  1,  1],
 [ y1,  0,  0,  0,  1,  1,  0,  0],
 [  0,  1,  0,  0,  0,  1,  1,  1],
 [  0, y1,  0,  0,  1,  1,  0,  0],
 [ y2,  0,  1,  0,  0,  0,  1,  0],
 [  0, y2,  1,  0,  0,  0,  1,  0],
 [ y3,  0,  0,  1,  0,  0,  0,  1],
 [  0, y3,  0,  1,  0,  0,  0,  1],
 [  0,  0,  1,  1,  1,  0,  0,  0]]); M

J=ideal(M.minors(6));
JJ=ideal(y1*y2*y3)
KK=J.saturation(JJ)
KK
︡22873cec-d8e7-429d-a9b7-9a4e2e917bdb︡{"stdout":"[ 1  0  0  0  0  1  1  1]\n[y1  0  0  0  1  1  0  0]\n[ 0  1  0  0  0  1  1  1]\n[ 0 y1  0  0  1  1  0  0]\n[y2  0  1  0  0  0  1  0]\n[ 0 y2  1  0  0  0  1  0]\n[y3  0  0  1  0  0  0  1]\n[ 0 y3  0  1  0  0  0  1]\n[ 0  0  1  1  1  0  0  0]\n"}︡{"stdout":"(Ideal (y1 + y2 + y3 - 1) of Multivariate Polynomial Ring in y1, y2, y3 over Rational Field, 0)\n"}︡
︠8935049b-84a5-4567-975d-ad404351482b︠
# y1 + y2 + y3 - 1


# the Hadamard square root and the slack matrix can  be parametrized in the following way


M = matrix(R,[
 [           1,           0,  0,  0,  0,  1,  1,  1],
 [          y1,           0,  0,  0,  1,  1,  0,  0],
 [           0,           1,  0,  0,  0,  1,  1,  1],
 [           0,          y1,  0,  0,  1,  1,  0,  0],
 [          y2,           0,  1,  0,  0,  0,  1,  0],
 [           0,          y2,  1,  0,  0,  0,  1,  0],
 [   (1-y1-y2),           0,  0,  1,  0,  0,  0,  1],
 [           0,   (1-y1-y2),  0,  1,  0,  0,  0,  1],
 [           0,           0,  1,  1,  1,  0,  0,  0]]);


︡d355ea33-dae2-4ce1-a9e8-a71cd66681ff︡
︠fa3dc54d-3966-49c9-8bd0-74085c831e37︠

# thus y1^2=x1, y2^2=x2, (1-y1-y2)^2=1-x1-x2

%macaulay2
R = QQ[y1,y2,x1,x2,MonomialOrder => Eliminate 2];
I = ideal(y1^2-x1,y2^2-x2,(1-y1-y2)^2-1+x1+x2);
G = selectInSubring(1,gens gb I);
newpoly = G_0_0;
toString factor newpoly
︡d796e09b-f766-4750-b84d-16fac9237d98︡{"stdout":"Ideal of R\n\n        1       1\nMatrix R  <--- R\n\n\n(x1^4+2*x1^3*x2+3*x1^2*x2^2+2*x1*x2^3+x2^4-2*x1^3-2*x2^3+x1^2-2*x1*x2+x2^2)"}︡
︠b27bd64f-fcb6-4ffc-900f-85f8273e05e6︠









