︠46d3bdc6-3f15-4549-82bb-66a388bac2e3︠
# parametrize the Hadamard square root of rank four for a psd-minimal 3-cube


R.<y1,y2,y3,y4,y5,y6,y7,y8,y9,y10,y11>=QQ[];
M = matrix(R,[
 [  1,  0,  1,  0,  1,  0],
 [  1,  0, y1,  0,  0,  1],
 [  1,  0,  0,  1, y6,  0],
 [  1,  0,  0, y3,  0, y9],
 [  0,  1,  1,  0, y7,  0],
 [  0,  1, y2,  0,  0,y10],
 [  0,  1,  0, y4, y8,  0],
 [  0,  1,  0, y5, 0, y11]   ]);M
J=ideal(M.minors(5));
JJ=ideal(y1*y2*y3*y4*y5*y6*y7*y8*y9*y10*y11)
KK=J.saturation(JJ)
KK
︡73f3f3f2-0975-4ec4-8ed7-eeeab2940a03︡{"stdout":"[  1   0   1   0   1   0]\n[  1   0  y1   0   0   1]\n[  1   0   0   1  y6   0]\n[  1   0   0  y3   0  y9]\n[  0   1   1   0  y7   0]\n[  0   1  y2   0   0 y10]\n[  0   1   0  y4  y8   0]\n[  0   1   0  y5   0 y11]\n"}︡{"stdout":"(Ideal (y7 - y10, y6 - y8 + y10 - 1, y4 - 1, y1*y11 - y5 - y11 + 1, y5*y10 - y2*y11 - y10 + y11, y3*y10 - y5 + y9 - y11, y1*y10 - y2 - y10 + 1, y8*y9 - y8*y11 + y10*y11 - y11, y5*y9 - y3*y11 - y9 + y11, y2*y9 - y5 + y10 - y11, y1*y9 - y3 - y9 + 1, y5*y8 - y2*y11, y3*y8 - y5 - y11 + 1, y2*y3 - y1*y5, y2*y8*y11 - y2*y10*y11 + y8*y10 - y8*y11) of Multivariate Polynomial Ring in y1, y2, y3, y4, y5, y6, y7, y8, y9, y10, y11 over Rational Field, 0)\n"}︡
︠781e8805-5fe7-4883-8484-9dded74103a4︠
# y7 - y10, y4 - 1
# y1*y11 - y5 - y11 + 1 => y5 = y1
# y5*y10 - y2*y11 - y10 + y11 => y5 = y2 => y2= y1

R.<y1,y3,y6,y7,y8,y9,y11>=QQ[];
M = matrix(R,[
 [  1,  0,  1,  0,  1,  0],
 [  1,  0, y1,  0,  0,  1],
 [  1,  0,  0,  1, y6,  0],
 [  1,  0,  0, y3,  0, y9],
 [  0,  1,  1,  0, y7,  0],
 [  0,  1, y1,  0,  0, y7],
 [  0,  1,  0,  1, y8,  0],
 [  0,  1,  0, y1,  0,y11]   ]);M
J=ideal(M.minors(5));
JJ=ideal(y1*y3*y6*y7*y8*y9*y11)
KK=J.saturation(JJ)
KK
︡02992de2-5d17-4333-991f-7779f14866c5︡{"stdout":"[  1   0   1   0   1   0]\n[  1   0  y1   0   0   1]\n[  1   0   0   1  y6   0]\n[  1   0   0  y3   0  y9]\n[  0   1   1   0  y7   0]\n[  0   1  y1   0   0  y7]\n[  0   1   0   1  y8   0]\n[  0   1   0  y1   0 y11]\n"}︡{"stdout":"(Ideal (y8 - y11, y7 + y9 - y11 - 1, y6 - y9, y1 - y3, y3*y11 - y3 - y11 + 1, y3*y9 - y3 - y9 + 1) of Multivariate Polynomial Ring in y1, y3, y6, y7, y8, y9, y11 over Rational Field, 1)\n"}︡
︠2a19a1f8-429f-450c-88a4-31b2e536a38a︠
# y8 - y11, y6 - y9, y1 - y3
# y7 + y9 - y11 - 1 => y8 = y6 + y7 -1

R.<y1,y6,y7>=QQ[];
M = matrix(R,[
 [  1,  0,  1,  0,          1,          0],
 [  1,  0, y1,  0,          0,          1],
 [  1,  0,  0,  1,         y6,          0],
 [  1,  0,  0, y1,          0,         y6],
 [  0,  1,  1,  0,         y7,          0],
 [  0,  1, y1,  0,          0,         y7],
 [  0,  1,  0,  1, y6 + y7 -1,          0],
 [  0,  1,  0, y1,          0, y6 + y7 -1]   ]);M
J=ideal(M.minors(5));
JJ=ideal(y1*y6*y7)
KK=J.saturation(JJ)
KK

︡ae45667c-0203-4742-8246-d77b2f3619aa︡{"stdout":"[          1           0           1           0           1           0]\n[          1           0          y1           0           0           1]\n[          1           0           0           1          y6           0]\n[          1           0           0          y1           0          y6]\n[          0           1           1           0          y7           0]\n[          0           1          y1           0           0          y7]\n[          0           1           0           1 y6 + y7 - 1           0]\n[          0           1           0          y1           0 y6 + y7 - 1]\n"}︡{"stdout":"(Ideal (y1*y7 - y1 - y7 + 1, y1*y6 - y1 - y6 + 1) of Multivariate Polynomial Ring in y1, y6, y7 over Rational Field, 0)\n"}︡
︠57f635cf-2882-4018-aa46-812ba4f44ca1︠
# add the generator coming from the equation (y6 + y7 - 1)^2 = y6^2 + y7^2 -1

KK=ideal(y1*y7 - y1 - y7 + 1, y1*y6 - y1 - y6 + 1, -(y6 + y7 - 1)^2 + y6^2 + y7^2 -1)


# compute primary decomposition to obtain all posibble parametrizations of the Hadamard square root of rank four

KK.primary_decomposition()
︡871f46c8-4595-49ce-8e63-e879ed1157ab︡{"stdout":"[Ideal (y7 - 1, y1 - 1) of Multivariate Polynomial Ring in y1, y6, y7 over Rational Field, Ideal (y6 - 1, y1 - 1) of Multivariate Polynomial Ring in y1, y6, y7 over Rational Field, Ideal (y7 - 1, y6 - 1) of Multivariate Polynomial Ring in y1, y6, y7 over Rational Field]\n"}︡
︠54f40e30-4a70-41ee-98c5-947c001aa57f︠

# results


# for (y7 - 1, y6 - 1) the slack matrix has the form
M = matrix(R,[
 [  1,  0,  1,  0,  1,  0],
 [  1,  0, y1,  0,  0,  1],
 [  1,  0,  0,  1,  1,  0],
 [  1,  0,  0, y1,  0,  1],
 [  0,  1,  1,  0,  1,  0],
 [  0,  1, y1,  0,  0,  1],
 [  0,  1,  0,  1,  1,  0],
 [  0,  1,  0, y1,  0,  1] ]);

# for (y7 - 1, y1 - 1) the slack matrix has the form
M = matrix(R,[
 [  1,  0,  1,  0,  1,  0],
 [  1,  0,  1,  0,  0,  1],
 [  1,  0,  0,  1, y6,  0],
 [  1,  0,  0,  1,  0, y6],
 [  0,  1,  1,  0,  1,  0],
 [  0,  1,  1,  0,  0,  1],
 [  0,  1,  0,  1, y6,  0],
 [  0,  1,  0,  1,  0, y6] ]);


# for (y6 - 1, y1 - 1) the slack matrix has the form
M = matrix(R,[
 [  1,  0,  1,  0,  1,  0],
 [  1,  0,  1,  0,  0,  1],
 [  1,  0,  0,  1,  1,  0],
 [  1,  0,  0,  1,  0,  1],
 [  0,  1,  1,  0, y7,  0],
 [  0,  1,  1,  0,  0, y7],
 [  0,  1,  0,  1, y7,  0],
 [  0,  1,  0,  1,  0, y7] ]);
︡5defa544-783e-4231-a4e6-2eb7b98b1ed9︡
︠742aeb22-96b9-4185-83ad-21c8bc932a53︠











