# parametrize the Hadamard square root of rank five

#[
#[  1,  1,  0,  0,  0,  0,  0,  0],
#[  0,  0,  1,  0,  1,  0,  1,  0],
#[  0,  0,  1,  0, y3,  0,  0,  1],
#[  0,  1, y1,  0,  0,  1, y9,  0],
#[  0,  1,  1,  0,  0, y6,  0,y12],
#[  1,  0,  0, y2, y4,  0,y10,  0],
#[  1,  0,  0,  1, y5,  0,  0,y13],
#[  0,  0,  0,  1,  0, y7,y11,  0],
#[  0,  0,  0,  1,  0, y8,  0,y14]]



R.<y1,y2,y3,y4,y5,y6,y7,y8,y9,y10,y11,y12,y13,y14>=QQ[];

M = matrix(R,[
[  1,  1,  0,  0,  0,  0,  0,  0],
[  0,  0,  1,  0,  1,  0,  1,  0],
[  0,  0,  1,  0, y3,  0,  0,  1],
[  0,  1, y1,  0,  0,  1, y9,  0],
[  0,  1,  1,  0,  0, y6,  0,y12],
[  1,  0,  0, y2, y4,  0,y10,  0],
[  1,  0,  0,  1, y5,  0,  0,y13],
[  0,  0,  0,  1,  0, y7,y11,  0],
[  0,  0,  0,  1,  0, y8,  0,y14]]); M

J=ideal(M.minors(6));
JJ=ideal(y1*y2*y3*y4*y5*y6*y7*y8*y9*y10*y11*y12*y13*y14)
KK=J.saturation(JJ)
KK
︡eb14ab4c-63d4-4d4d-9c94-00405ea0c2b2︡{"stdout":"[  1   1   0   0   0   0   0   0]\n[  0   0   1   0   1   0   1   0]\n[  0   0   1   0  y3   0   0   1]\n[  0   1  y1   0   0   1  y9   0]\n[  0   1   1   0   0  y6   0 y12]\n[  1   0   0  y2  y4   0 y10   0]\n[  1   0   0   1  y5   0   0 y13]\n[  0   0   0   1   0  y7 y11   0]\n[  0   0   0   1   0  y8   0 y14]\n"}︡{"stdout":"(Ideal (y12 + y13 - y14 - 1, y11 - y14, y10 - y13, y9 + y13 - y14 - 1, y8 - 1, y7 - 1, y6 - 1, y5 - 1, y4 - 1, y3 - 1, y2 - 1, y1 - 1) of Multivariate Polynomial Ring in y1, y2, y3, y4, y5, y6, y7, y8, y9, y10, y11, y12, y13, y14 over Rational Field, 1)\n"}︡
︠219596c0-8b12-497a-a8df-7dddd08468e9︠
# y11 - y14, y10 - y13, y8 - 1, y7 - 1, y6 - 1, y5 - 1, y4 - 1, y3 - 1, y2 - 1, y1 - 1
# y9 + y13 - y14 - 1 => y14 = y9*y13 =>  y11 = y9*y10
# y9 + y13 - y14 - 1, y12 + y13 - y14 - 1 => y12 = y9

R.<y9,y10>=QQ[];

M = matrix(R,[
[  1,  1,  0,  0,  0,  0,     0,     0],
[  0,  0,  1,  0,  1,  0,     1,     0],
[  0,  0,  1,  0,  1,  0,     0,     1],
[  0,  1,  1,  0,  0,  1,    y9,     0],
[  0,  1,  1,  0,  0,  1,     0,    y9],
[  1,  0,  0,  1,  1,  0,   y10,     0],
[  1,  0,  0,  1,  1,  0,     0,   y10],
[  0,  0,  0,  1,  0,  1,y9*y10,     0],
[  0,  0,  0,  1,  0,  1,     0,y9*y10]]); M

J=ideal(M.minors(6));
JJ=ideal(y9*y10)
KK=J.saturation(JJ)
KK
︡6c0eada4-e7df-43fb-bd90-ffdfc286baa6︡{"stdout":"[     1      1      0      0      0      0      0      0]\n[     0      0      1      0      1      0      1      0]\n[     0      0      1      0      1      0      0      1]\n[     0      1      1      0      0      1     y9      0]\n[     0      1      1      0      0      1      0     y9]\n[     1      0      0      1      1      0    y10      0]\n[     1      0      0      1      1      0      0    y10]\n[     0      0      0      1      0      1 y9*y10      0]\n[     0      0      0      1      0      1      0 y9*y10]\n"}︡{"stdout":"(Ideal (y9*y10 - y9 - y10 + 1) of Multivariate Polynomial Ring in y9, y10 over Rational Field, 0)\n"}︡
︠72d4d0ef-f3e0-4f14-abae-36ed2925f1c5︠
# y9*y10 - y9 - y10 + 1

# results


# for y9 = 1 the slack matrix has the form

M = matrix(R,[
[  1,  1,  0,  0,  0,  0,  0,  0],
[  0,  0,  1,  0,  1,  0,  1,  0],
[  0,  0,  1,  0,  1,  0,  0,  1],
[  0,  1,  1,  0,  0,  1,  1,  0],
[  0,  1,  1,  0,  0,  1,  0,  1],
[  1,  0,  0,  1,  1,  0,y10,  0],
[  1,  0,  0,  1,  1,  0,  0,y10],
[  0,  0,  0,  1,  0,  1,y10,  0],
[  0,  0,  0,  1,  0,  1,  0,y10]]);


# for y10=1 the slack matrix has the form

M = matrix(R,[
[  1,  1,  0,  0,  0,  0,  0,  0],
[  0,  0,  1,  0,  1,  0,  1,  0],
[  0,  0,  1,  0,  1,  0,  0,  1],
[  0,  1,  1,  0,  0,  1, y9,  0],
[  0,  1,  1,  0,  0,  1,  0, y9],
[  1,  0,  0,  1,  1,  0,  1,  0],
[  1,  0,  0,  1,  1,  0,  0,  1],
[  0,  0,  0,  1,  0,  1, y9,  0],
[  0,  0,  0,  1,  0,  1,  0, y9]]); 

M.matrix_from_rows_and_columns([0,1,2,5,6,3,4,7,8],[0,1,4,5,2,3,6,7])

︡b7ca46c1-76dc-41bf-9980-352be47d0792︡{"stdout":"[ 1  1  0  0  0  0  0  0]\n[ 0  0  1  0  1  0  1  0]\n[ 0  0  1  0  1  0  0  1]\n[ 1  0  1  0  0  1  1  0]\n[ 1  0  1  0  0  1  0  1]\n[ 0  1  0  1  1  0 y9  0]\n[ 0  1  0  1  1  0  0 y9]\n[ 0  0  0  1  0  1 y9  0]\n[ 0  0  0  1  0  1  0 y9]\n"}︡
︠9eca0ae4-156c-4469-904d-e92046da7b1e︠









